#pragma once

class CAutoTextListCtrl : public CXTPListCtrl
{
public:
	CAutoTextListCtrl(void);
	~CAutoTextListCtrl(void);

	int		GetColumnCount();
	void	SetRowHeight(int nRowHeight);			// Fontũ⸦ ؼ ̸ Ѵ.   SetFont ȣϿ  µ Ʈ  ־ .
	void	SetTextFont(CFont* pFont, BOOL bRedraw = TRUE);
	void	SetNormalTextColor(COLORREF crNormalText, COLORREF crNormalBk);
	void	SetSelectedTextColor(COLORREF crSelectedText, COLORREF crSelectedBk);
	BOOL	SelectAll();
	void	ResizeColumn();

protected:
	DECLARE_MESSAGE_MAP()
	afx_msg void MeasureItem(LPMEASUREITEMSTRUCT lpMeasureItemStruct);
	afx_msg void OnNMCustomdraw(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
	LRESULT OnSetColumnWidth(WPARAM wParam, LPARAM lParam);

private:
	void	DrawSubItem(int nItem, int nSubItem, CDC *pDC);
	void	GetDrawColors(int nItem, int nSubItem, COLORREF& colorText, COLORREF& colorBkgnd);

	COLORREF	m_crNormalText;		// ⺻ ڻ
	COLORREF	m_crNormalBk;		// ⺻ 
	COLORREF	m_crSelectedText;	//  ڻ
	COLORREF	m_crSelectedBk;		//  
	COLORREF	m_crLinkNormal;		// ܺ  ڻ
	COLORREF	m_crLinkHover;		// ܺ  ڻ(Mouse hover)

	CFont		m_fontText;
	int			m_nCursor;

};
